Bug 97822 - USB printer module not initialized
USB printer module not initialized
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-06-22 11:09 EDT by Russell McOrmond
Modified: 2014-03-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-23 12:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Russell McOrmond 2003-06-22 11:09:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
I need to add a 'modprobe printer' to the startup in order for my Lexmark E210
connected via USB to work.

(BTW: Yes, I bought the Lexmark printer before their nasty DMCA lawsuits -- I'm
upset, but not enough to get rid of an existing printer).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Reboot computer
2.try to use USB printer
3.nothing works until you do 'modprobe printer' ;-)

Additional info:

-- rc.sysinit-rh9      2003-06-22 10:38:47.000000000 -0400
+++ rc.sysinit  2003-06-22 10:47:18.000000000 -0400
@@ -192,6 +192,7 @@
 if [ $usb = "1" ]; then
     needusbstorage=`LC_ALL=C grep -e "^I.*Cls=08" /proc/bus/usb/devices
+    needusbprinter=`LC_ALL=C grep -e "^I.*Cls=07" /proc/bus/usb/devices
     LC_ALL=C grep 'hid' /proc/bus/usb/drivers || action $"Initializing USB HID
interface: " modprobe hid 2> /dev/null
     action $"Initializing USB keyboard: " modprobe keybdev 2> /dev/null
     action $"Initializing USB mouse: " modprobe mousedev 2> /dev/null
@@ -680,6 +681,10 @@
 if [ -n "$needusbstorage" ]; then
        modprobe usb-storage >/dev/null 2>&1

+# Load usb printer here, to match most other things
+if [ -n "$needusbprinter" ]; then
+       modprobe printer >/dev/null 2>&1

 # Ooh, firewire too.
 if ! LC_ALL=C grep -iq "nofirewire" /proc/cmdline 2>/dev/null ; then
Comment 1 Bill Nottingham 2003-06-23 10:49:16 EDT
This shouldn't be needed, it should be working fine with hotplug. What messages
do you get from the kernel when you plug it in?
Comment 2 Russell McOrmond 2003-06-23 12:01:08 EDT
I removed my 'modprobe' and rebooted a few times and now can't duplicate the
problem I had.  Hotplug is indeed working as intended and is finding the printer
on boot and loading the printer kernel module.

Sorry about that.

Note You need to log in before you can comment on or make changes to this bug.